CREATE OR ALTER VIEW "IDM_RPT_DATA"."idmrpt_trustView_all_V" ("IDENTITY_ID", "TRUST_OBJ_ID", "TRUST_TYPE_ID", "TRUST_STATUS", "REQUESTER_ID", "REQUEST_DATE","REQUEST_COMMENT", "CAUSE", "CAUSE_TYPE", "APPROVAL_INFO", "TRUST_PARAMS", "IDV_ENT_ID", "IDV_ENT_REF", "MS_ENT_ID", "IDMRPT_VALID_FROM", "IDMRPT_DELETED", "TRUST_START_TIME", "TRUST_EXPIRATION_TIME", "IDMRPT_SYN_STATE") AS 

((SELECT 
	 acct.identity_id [IDENTITY_ID],
	  role.role_id [TRUST_OBJ_ID]
      ,assignRoles.[TRUST_TYPE_ID]
      ,assignRoles.[TRUST_STATUS]
	   ,(select identity_id from IDM_RPT_DATA.IDMRPT_IDV_ACCT_V where idv_acct_dn= REQUESTOR )  REQUESTER_ID,
	   removeRoles.requestDate REQUEST_DATE,
	    comment REQUEST_COMMENT,
     assignRoles.[CAUSE]
      ,assignRoles.[CAUSE_TYPE]
      ,assignRoles.[APPROVAL_INFO]
      ,assignRoles.[TRUST_PARAMS]
      ,assignRoles.[IDV_ENT_ID]
      ,assignRoles.[IDV_ENT_REF]
      ,assignRoles.[MS_ENT_ID]
      ,assignRoles.[IDMRPT_VALID_FROM]
      ,assignRoles.[IDMRPT_DELETED]
      ,assignRoles.[TRUST_START_TIME]
      ,assignRoles.[TRUST_EXPIRATION_TIME]
      ,assignRoles.[IDMRPT_SYN_STATE]   
	

  FROM 
  (  SELECT 
      msg ,  
	   dun ,
   ttn filename,
   Case
   when CHARINDEX('Request Description:',msg)>0
   THEN   
   SUBSTRING(msg, CHARINDEX(':',msg)+1,(CHARINDEX(';',msg)-CHARINDEX(':',msg)-1)) END as comment,
   
 Case
   when CHARINDEX('Original Requester:',msg)>0
   THEN    
   SUBSTRING(msg,   CHARINDEX(':', msg, CHARINDEX(';',msg))+1,(CHARINDEX(';',msg,CHARINDEX(';',msg)+1)-( CHARINDEX(':', msg, CHARINDEX(';',msg)))-1))  
   END as requestor,

   Case
   when CHARINDEX('Request Date:',msg)>0
   THEN
   [IDM_RPT_DATA].[convertldapTimeToDateTime](SUBSTRING(msg, CHARINDEX(':',msg, CHARINDEX('Request Date',msg))+1, CHARINDEX(';',msg,CHARINDEX('Request Date',msg))-CHARINDEX(':',msg, CHARINDEX('Request Date',msg))-1))  END as requestDate,
  rv40 ,
  evt ,
  sn,
  obsdom,obsip

	
FROM dbo.sentinel_events events  WHERE (rv40='00031600') AND (evt LIKE '% User Remove :%') )  removeRoles
 LEFT JOIN
  IDM_RPT_DATA.IDMRPT_IDV_V idv on (idv.idv_host = concat(removeRoles.sn,'.',removeRoles.obsdom))
  LEFT JOIN
  IDM_RPT_DATA.IDMRPT_ROLE_V role on (role.role_name = removeRoles.filename  AND idv.idv_id = role.idv_id)
  LEFT JOIN
  IDM_RPT_DATA.IDMRPT_IDV_ACCT_V acct on acct.idv_acct_cn = removeRoles.dun  

  RIGHT JOIN

  (select * from idmrptdb.IDM_RPT_DATA.IDMRPT_IDV_IDENTITY_TRUST where IDMRPT_DELETED =1 AND TRUST_TYPE_ID='ROLE_ASSIGNMENT')  as assignRoles on  (assignRoles.IDENTITY_ID = acct.identity_id AND assignRoles.TRUST_OBJ_ID = role.role_id)
  where role_id IS NOT NULL AND idv_acct_id IS NOT NULL )
  
  UNION ALL


  (select [IDENTITY_ID]
      ,[TRUST_OBJ_ID]
      ,[TRUST_TYPE_ID]
      ,[TRUST_STATUS]
      ,[REQUESTER_ID]
      ,[REQUEST_DATE]
      ,[REQUEST_COMMENT]
      ,[CAUSE]
      ,[CAUSE_TYPE]
      ,[APPROVAL_INFO]
      ,[TRUST_PARAMS]
      ,[IDV_ENT_ID]
      ,[IDV_ENT_REF]
      ,[MS_ENT_ID]
      ,[IDMRPT_VALID_FROM]
      ,[IDMRPT_DELETED]
      ,[TRUST_START_TIME]
      ,[TRUST_EXPIRATION_TIME]
      ,[IDMRPT_SYN_STATE]
  FROM [idmrptdb].[IDM_RPT_DATA].[IDMRPT_IDV_IDENTITY_TRUST]  where NOT(TRUST_TYPE_ID='ROLE_ASSIGNMENT' AND IDMRPT_DELETED=1)))
  
  GO
GRANT SELECT ON idm_rpt_data.idmrpt_trustView_all_V  TO idmrptuser;
CREATE SYNONYM idmrpt_trustView_all_V for IDM_RPT_DATA.idmrpt_trustView_all_V;
  

