  CREATE OR REPLACE FORCE EDITIONABLE VIEW "IDM_RPT_DATA"."idmrpt_trustreq_V" ("MSG", "DUN", "ROLENAME", "COMMENT", "REQUESTOR", "REQUESTDATE", "RV40", "EVT", "SN", "OBSDOM", "OBSIP") AS 
  
  SELECT 
			  TO_CHAR(sentinel_events.msg) ,  
			  sentinel_events.dun ,
		   sentinel_events.ttn ROLENAME,
		    CAST(CASE 
			WHEN INSTR(sentinel_events.msg, 'Request Description:') != 0 
			THEN SUBSTR(sentinel_events.msg,INSTR(sentinel_events.msg,':',1,1)+1,(INSTR(sentinel_events.msg,';',1,1)-INSTR(sentinel_events.msg,':',1,1)))
			END AS VARCHAR2(2000) )  "COMMENT",

			CAST(CASE 
			WHEN INSTR(sentinel_events.msg, 'Original Requester:') != 0 
			THEN SUBSTR(sentinel_events.msg,INSTR(sentinel_events.msg,':',1,2)+1,(INSTR(sentinel_events.msg,';',1,2)-INSTR(sentinel_events.msg,':',1,2)-1))
			END AS VARCHAR2(2000))  REQUESTOR,

		 CASE 
			WHEN INSTR(sentinel_events.msg, 'Request Date:') != 0 
			THEN TO_CHAR(FROM_TZ( IDM_RPT_DATA.convertldapTimeToDateTime(SUBSTR(sentinel_events.msg,INSTR(sentinel_events.msg,':',1,3)+1,(INSTR(sentinel_events.msg,';',1,3)-INSTR(sentinel_events.msg,':',1,3)-1))), 'UTC' ) AT LOCAL,'YYYY-MM-DD HH24:MI:SS.FF TZH:TZM')
			 END  REQUESTDATE
		   

		 ,sentinel_events.rv40 ,
		  sentinel_events.evt ,
		 sentinel_events.sn,
		 sentinel_events.obsdom,
		 sentinel_events.obsip

			
		FROM IDM_RPT_DATA.sentinel_events   WHERE sentinel_events.rv40='00031600' AND sentinel_events.evt LIKE '% User Remove :%';
  
GRANT SELECT ON "IDM_RPT_DATA"."idmrpt_trustreq_V"   TO idmrptuser;
CREATE OR REPLACE PUBLIC SYNONYM idmrpt_trustreq_V for IDM_RPT_DATA.idmrpt_trustreq_V; 
