    CREATE OR REPLACE FORCE EDITIONABLE VIEW "IDM_RPT_DATA"."idmrpt_trustView_all_V"("IDENTITY_ID", 
    "TRUST_OBJ_ID", "TRUST_TYPE_ID", 
    "TRUST_STATUS", "REQUESTOR_ID", "REQUEST_DATE", 
    "REQUEST_COMMENT", "CAUSE", "CAUSE_TYPE", "APPROVAL_INFO",
    "TRUST_PARAMS", "IDV_ENT_ID",  "IDV_ENT_REF", "MS_ENT_ID",
    "IDMRPT_VALID_FROM", "IDMRPT_DELETED", "TRUST_START_TIME",
    "TRUST_EXPIRATION_TIME", "IDMRPT_SYN_STATE") AS 
  SELECT 
	 acct.identity_id IDENTITY_ID,
	  role.role_id TRUST_OBJ_ID,
       t.TRUST_TYPE_ID
      , t.TRUST_STATUS
        ,(select identity_id from IDM_RPT_DATA.IDMRPT_IDV_ACCT_V where to_char(idv_acct_dn)= to_char(REQUESTOR) )  "REQUESTOR_ID",
	   TO_TIMESTAMP_TZ(v.REQUESTDATE)  "REQUEST_DATE",
	  TO_CHAR(v."COMMENT") "REQUEST_COMMENT",
        TO_CHAR(t.CAUSE) "CAUSE"
      , t.CAUSE_TYPE
      , TO_CHAR(t.APPROVAL_INFO) "APPROVAL_INFO"
      , t.TRUST_PARAMS
      , t.IDV_ENT_ID
      , t.IDV_ENT_REF
      , t.MS_ENT_ID
      , t.IDMRPT_VALID_FROM
      , t.IDMRPT_DELETED
      , t.TRUST_START_TIME
      , t.TRUST_EXPIRATION_TIME,
     t.IDMRPT_SYN_STATE
      
    
	  
  FROM 
		"IDM_RPT_DATA"."idmrpt_trustreq_V" v
LEFT JOIN
  IDM_RPT_DATA.IDMRPT_IDV_V idv on to_char(idv.idv_host) = concat(concat(v.sn,'.'),v.obsdom)
   LEFT JOIN
  IDM_RPT_DATA.IDMRPT_ROLE_V role on (to_char(role.role_name) = to_char(v.ROLENAME)  AND idv.idv_id = role.idv_id)
  LEFT JOIN
  IDM_RPT_DATA.IDMRPT_IDV_ACCT_V acct on acct.idv_acct_cn = v.dun
   RIGHT JOIN

  (select  IDMRPT_IDV_IDENTITY_TRUST.IDENTITY_ID,
	    IDMRPT_IDV_IDENTITY_TRUST.TRUST_OBJ_ID,
       IDMRPT_IDV_IDENTITY_TRUST.TRUST_TYPE_ID
      , IDMRPT_IDV_IDENTITY_TRUST.TRUST_STATUS,  
        TO_CHAR(IDMRPT_IDV_IDENTITY_TRUST.CAUSE) "CAUSE"
      , IDMRPT_IDV_IDENTITY_TRUST.CAUSE_TYPE
      , TO_CHAR(IDMRPT_IDV_IDENTITY_TRUST.APPROVAL_INFO) "APPROVAL_INFO"
      , IDMRPT_IDV_IDENTITY_TRUST.TRUST_PARAMS
      , IDMRPT_IDV_IDENTITY_TRUST.IDV_ENT_ID
      , IDMRPT_IDV_IDENTITY_TRUST.IDV_ENT_REF
      , IDMRPT_IDV_IDENTITY_TRUST.MS_ENT_ID
      , IDMRPT_IDV_IDENTITY_TRUST.IDMRPT_VALID_FROM
      , IDMRPT_IDV_IDENTITY_TRUST.IDMRPT_DELETED
      , IDMRPT_IDV_IDENTITY_TRUST.TRUST_START_TIME
      , IDMRPT_IDV_IDENTITY_TRUST.TRUST_EXPIRATION_TIME
      , IDMRPT_IDV_IDENTITY_TRUST.IDMRPT_SYN_STATE from IDM_RPT_DATA.IDMRPT_IDV_IDENTITY_TRUST where IDMRPT_DELETED=1 AND TRUST_TYPE_ID='ROLE_ASSIGNMENT')   t
      on  (t.IDENTITY_ID = acct.identity_id AND t.TRUST_OBJ_ID = role.role_id) 
      
      union all
      
      select 
  IDENTITY_ID
      ,TRUST_OBJ_ID
      ,TRUST_TYPE_ID
      ,TRUST_STATUS
      ,REQUESTER_ID
      ,REQUEST_DATE
      ,TO_CHAR(REQUEST_COMMENT) "REQUEST_COMMENT"
      ,TO_CHAR(CAUSE) "CAUSE"
      ,CAUSE_TYPE
      ,TO_CHAR(APPROVAL_INFO) "APPROVAL_INFO"
      ,TRUST_PARAMS
      ,IDV_ENT_ID
      ,IDV_ENT_REF
      ,MS_ENT_ID
      ,IDMRPT_VALID_FROM
      ,IDMRPT_DELETED
      ,TRUST_START_TIME
      ,TRUST_EXPIRATION_TIME
      ,IDMRPT_SYN_STATE
  FROM  IDM_RPT_DATA.IDMRPT_IDV_IDENTITY_TRUST s where NOT(s.TRUST_TYPE_ID='ROLE_ASSIGNMENT' AND s.IDMRPT_DELETED=1);

  
 GRANT SELECT ON "IDM_RPT_DATA"."idmrpt_trustView_all_V"  TO idmrptuser;
CREATE OR REPLACE PUBLIC SYNONYM idmrpt_trustView_all_V for IDM_RPT_DATA.idmrpt_trustView_all_V; 
  
  
  

  
  


