
CREATE OR REPLACE VIEW idm_rpt_data.idmrpt_trustView_all_V AS 
(SELECT 
	 acct.identity_id IDENTITY_ID,
	  role.role_id TRUST_OBJ_ID
      ,assignRoles.TRUST_TYPE_ID
      ,assignRoles.TRUST_STATUS
	   ,(select identity_id from IDM_RPT_DATA.IDMRPT_IDV_ACCT_V where idv_acct_dn= REQUESTOR )  REQUESTOR_ID,
	   removeRoles.requestDate REQUEST_DATE,
	   COMMENT REQUEST_COMMENT,
     assignRoles.CAUSE 
      ,assignRoles.CAUSE_TYPE
      ,assignRoles.APPROVAL_INFO
      ,assignRoles.TRUST_PARAMS
      ,assignRoles.IDV_ENT_ID
      ,assignRoles.IDV_ENT_REF
      ,assignRoles.MS_ENT_ID
      ,assignRoles.IDMRPT_VALID_FROM
      ,assignRoles.IDMRPT_DELETED
      ,assignRoles.TRUST_START_TIME
      ,assignRoles.TRUST_EXPIRATION_TIME
      ,assignRoles.IDMRPT_SYN_STATE 
	  
  FROM 
		(SELECT 
			  msg ,  
			   dun ,
		   ttn ,
		   Case
		   when POSITION('Request Description:' in msg)>0
		   THEN   
		   split_part(split_part(msg::text, ';'::text, 1), ':'::text, 2) END as comment,
		   
		 Case
		   when POSITION('Original Requester:' in msg)>0
		   THEN    
		  split_part(split_part(msg::text, ';'::text, 2), ':'::text, 2) 
		   END as requestor,
		   

		   Case
		   when POSITION('Request Date:' in msg)>0
		   THEN
		  timezone('utc'::text, idm_rpt_data.convertldapTimeToDateTime((split_part(split_part(msg::text, ';'::text,3), ':'::text, 2))) ::timestamp)  END as requestDate
		   
		   

		 ,rv40 ,
		  evt ,
		 sn,
		 obsdom,obsip

			
		FROM sentinel_events events  WHERE (rv40='00031600') AND (evt LIKE '% User Remove :%') )  removeRoles
  LEFT JOIN
  IDM_RPT_DATA.IDMRPT_IDV_V idv on (idv.idv_host = concat(removeRoles.sn,'.',removeRoles.obsdom))
  LEFT JOIN
  IDM_RPT_DATA.IDMRPT_ROLE_V role on (role.role_name = removeRoles.ttn  AND idv.idv_id = role.idv_id)
  LEFT JOIN
  IDM_RPT_DATA.IDMRPT_IDV_ACCT_V acct on acct.idv_acct_cn = removeRoles.dun  

  RIGHT JOIN

  (select * from idmrptdb.IDM_RPT_DATA.IDMRPT_IDV_IDENTITY_TRUST where IDMRPT_DELETED IS true AND TRUST_TYPE_ID='ROLE_ASSIGNMENT')  as assignRoles on  (assignRoles.IDENTITY_ID = acct.identity_id AND assignRoles.TRUST_OBJ_ID = role.role_id)
  where (role_id IS NOT NULL AND idv_acct_id IS NOT NULL))
  
  UNION ALL


  (select IDENTITY_ID
      ,TRUST_OBJ_ID
      ,TRUST_TYPE_ID
      ,TRUST_STATUS
      ,REQUESTER_ID
      ,REQUEST_DATE
      ,REQUEST_COMMENT
      ,CAUSE
      ,CAUSE_TYPE
      ,APPROVAL_INFO
      ,TRUST_PARAMS
      ,IDV_ENT_ID
      ,IDV_ENT_REF
      ,MS_ENT_ID
      ,IDMRPT_VALID_FROM
      ,IDMRPT_DELETED
      ,TRUST_START_TIME
      ,TRUST_EXPIRATION_TIME
      ,IDMRPT_SYN_STATE
  FROM  idmrptdb.IDM_RPT_DATA.IDMRPT_IDV_IDENTITY_TRUST where NOT(TRUST_TYPE_ID='ROLE_ASSIGNMENT' AND IDMRPT_DELETED IS TRUE))
;

ALTER TABLE idm_rpt_data.idmrpt_trustview_all_v
  OWNER TO idm_rpt_data;
GRANT ALL ON TABLE idm_rpt_data.idmrpt_trustview_all_v TO idm_rpt_data;
GRANT SELECT ON TABLE idm_rpt_data.idmrpt_trustview_all_v TO idmrptuser;

   
  
